Bug 73765 - not all theads of a terminated process terminate.
Summary: not all theads of a terminated process terminate.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-10 14:35 UTC by george.miller
Modified: 2016-11-24 14:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 05:17:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source for sample to show not all threads terminate when process terminates. (2.78 KB, text/plain)
2002-09-10 14:37 UTC, george.miller
no flags Details
binary for testcore.c (32.16 KB, application/octet-stream)
2002-09-10 14:37 UTC, george.miller
no flags Details

Description george.miller 2002-09-10 14:35:34 UTC
Description of Problem:I have a process (see attached files) that when it aborts (segv), all of the threads terminate except one (either the thread 
waiting on sigwait or the main thread blocked ona mutex lock in exi). Sometimes all threads terminate, but it is a rare case.  I am attaching a source file and an 
executable. 
i\I am on kernel 2.4.9-31 with dual pentiums 933mhz.

Version-Release number of selected component (if applicable):


How Reproducible: almost every time


Steps to Reproduce:
1. compile attached source file (gcc -g -otestcore testcore.c -D_REENTRANT -lpthread
2. or run attached binary
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 george.miller 2002-09-10 14:37:10 UTC
Created attachment 75684 [details]
source for sample to show not all threads terminate when process terminates.

Comment 2 george.miller 2002-09-10 14:37:56 UTC
Created attachment 75685 [details]
binary for testcore.c

Comment 3 Ulrich Drepper 2003-04-22 05:17:49 UTC
This definitely doesn't happen with the current release anymore if NPTL is used.
 LinuxThreads will always have problems.


Note You need to log in before you can comment on or make changes to this bug.